Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class CreateDefaultFilterIndexAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.SQLScriptAction
              oracle.ifs.admin.actions.CreateDefaultFilterIndexAction

All Implemented Interfaces:
  Action, IfsParameters

    public class CreateDefaultFilterIndexAction

extends SQLScriptAction

Used to create a default FILTER for the text index. Since Fast filter is only available starting 10g, we need different SQL script actions that will invoke one or the other depending on the version of the database. This one installs a default filter preference It uses SQLScriptAction to run SQL files to create the text index.

Field Summary

Fields inherited from class oracle.ifs.admin.actions.SQLScriptAction
`NOLOG, SQL_ARGUMENTS, SQL_SCRIPT`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`CreateDefaultFilterIndexAction()` Constructor.

Method Summary
`protected boolean` | `isFastFilterEnabled(java.sql.Connection connection)` Determine version of the TEXT index
`void` | `perform()` Performs this Action.

Methods inherited from class oracle.ifs.admin.actions.SQLScriptAction
`execute, failed, setSQLArguments, setSQLScript, stop`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateDefaultFilterIndexAction

    public CreateDefaultFilterIndexAction()

  Constructor.

Method Detail

### perform

    public void perform()
                 throws ActionFailedException

  Description copied from interface: `Action`
  Performs this Action.

  Specified by:
    `perform` in interface `Action`
  Overrides:
    `perform` in class `SQLScriptAction`
  Throws:
    `ActionFailedException` - if the action could not be performed.

### isFastFilterEnabled

    protected boolean isFastFilterEnabled(java.sql.Connection connection)
                                   throws java.sql.SQLException

  Description copied from class: `CreateDefaultFilterIndexAction`
  Determine version of the TEXT index

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD